<?php

    // path to CS50 Library; ideally, this should not be inside public_html (or DocumentRoot)
    define("CS50", dirname(__FILE__) . "/relative/path/to/cs50-0.10/CS50.php");

    // directory in which CS50 Library should store its state; ideally, 
    // this should not be inside public_html (or DocumentRoot)
    define("STATE", dirname(__FILE__) . "/relative/path/to/state");

    // URL that CS50 ID should ask users to trust; must be registered with CS50,
    // per the HOWTO at https://manual.cs50.net/CS50_ID; must be a prefix of RETURN_TO
    define("TRUST_ROOT", "https://cloud.cs50.net/~jharvard/");

    // URL to which CS50 ID should return users; must be registered with CS50,
    // per the HOWTO at https://manual.cs50.net/CS50_ID
    define("RETURN_TO", "https://cloud.cs50.net/~jharvard/return_to.php");

    // CS50 Library
    require_once(CS50);

    // ensure $_SESSION exists
    session_start();

?>
